gsasl_stringprep_saslprep(3)

NAME
gsasl_stringprep_saslprep - API function

SYNOPSIS
#include <gsasl.h>

char * gsasl_stringprep_saslprep(const char * in, int * stringprep_rc);

ARGUMENTS

const char * in
    input ASCII or UTF-8 string with data to prepare according to SASLprep.

int * stringprep_rc
    pointer to output variable with stringprep error code, or NULL to indicate that you don't care about it.

DESCRIPTION
Process a Unicode string for comparison, according to the "SASLprep" stringprep profile. This function is intended to be used by Simple Authentication and Security Layer (SASL) mechanisms (such as PLAIN, CRAM-MD5, and DIGEST-MD5) as well as other protocols exchanging user names and/or passwords.

RETURN VALUE
Return a newly allocated string that is the "SASLprep" processed form of the input string, or NULL on error, in which case stringprep_rc contain the stringprep library error code.

DEPRECATED
Use gsasl_saslprep() instead.

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>. GNU SASL home page: http://www.gnu.org/software/gsasl/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2012 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual.